Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Classes | Public Types | Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
OpenMesh::IO::_PLYWriter_ Class Reference

`#include <libs_required/OpenMesh/src/OpenMesh/Core/IO/writer/PLYWriter.hh>`

Inheritance diagram for OpenMesh::IO::_PLYWriter_:

## Classes
struct | CustomProperty

## Public Types
enum | ValueType { Unsupported = 0, ValueTypeFLOAT32, ValueTypeFLOAT, ValueTypeINT32, ValueTypeINT, ValueTypeUINT, ValueTypeUCHAR, ValueTypeCHAR, ValueTypeUINT8, ValueTypeUSHORT, ValueTypeSHORT, ValueTypeDOUBLE }
Public Types inherited from OpenMesh::IO::BaseWriter
typedef unsigned int | Option

## Public Member Functions
virtual | ~_PLYWriter_ ()
| Destructor.
std::string | get_description () const
| Return short description of the supported file format.
std::string | get_extensions () const
| Return file format's extension.
bool | write (const std::string &, BaseExporter &, Options, std::streamsize _precision=6) const
bool | write (std::ostream &, BaseExporter &, Options, std::streamsize _precision=6) const
size_t | binary_size (BaseExporter &_be, Options _opt) const
| Returns expected size of file if binary format is supported else 0.
Public Member Functions inherited from OpenMesh::IO::BaseWriter
virtual | ~BaseWriter ()
| Destructor.
virtual bool | can_u_write (const std::string &_filename) const
| Returns true if writer can write _filename (checks extension). _filename can also provide an extension without a name for a file e.g. _filename == "om" checks, if the writer can write the "om" extension. More...

## Protected Member Functions
void | writeValue (ValueType _type, std::ostream &_out, signed char value) const
void | writeValue (ValueType _type, std::ostream &_out, unsigned char value) const
void | writeValue (ValueType _type, std::ostream &_out, short value) const
void | writeValue (ValueType _type, std::ostream &_out, unsigned short value) const
void | writeValue (ValueType _type, std::ostream &_out, int value) const
void | writeValue (ValueType _type, std::ostream &_out, unsigned int value) const
void | writeValue (ValueType _type, std::ostream &_out, float value) const
void | writeValue (ValueType _type, std::ostream &_out, double value) const
bool | write_ascii (std::ostream &_out, BaseExporter &, Options) const
bool | write_binary (std::ostream &_out, BaseExporter &, Options) const
void | write_header (std::ostream &_out, BaseExporter &_be, Options &_opt, std::vector< CustomProperty > &_ovProps, std::vector< CustomProperty > &_ofProps) const
| write header into the stream _out. Returns custom properties (vertex and face) which are written into the header
Protected Member Functions inherited from OpenMesh::IO::BaseWriter
bool | check (BaseExporter &_be, Options _opt) const

## Private Member Functions
std::vector< CustomProperty > | writeCustomTypeHeader (std::ostream &_out, BaseKernel::const_prop_iterator _begin, BaseKernel::const_prop_iterator _end) const
| write custom persistant properties into the header for the current element, returns all properties, which were written sorted
template<bool binary>
void | write_customProp (std::ostream &_our, const CustomProperty &_prop, size_t _index) const
template<typename T >
void | writeProxy (ValueType _type, std::ostream &_out, T _value, OpenMesh::GenProg::TrueType) const
template<typename T >
void | writeProxy (ValueType _type, std::ostream &_out, T _value, OpenMesh::GenProg::FalseType) const

## Private Attributes
Options | options_
const char * | nameOfType_ [12]

## Detailed Description

Implementation of the PLY format writer. This class is singleton'ed by SingletonT to PLYWriter.

currently supported options:

- VertexColors
- Binary
- Binary -> MSB

Definition at line 93 of file PLYWriter.hh.

## Member Function Documentation

bool OpenMesh::IO::_PLYWriter_::write | ( | const std::string & | _filename,
|  | BaseExporter & | _be,
|  | Options | _opt,
|  | std::streamsize | _precision = `6`
| ) |  | const
| virtual

Write to a file

Parameters

  _filename | write to file with the given filename
  _be | BaseExporter, which specifies the data source
  _opt | writing options
  _precision | can be used to specify the precision of the floating point notation.

Implements OpenMesh::IO::BaseWriter.

Definition at line 100 of file PLYWriter.cc.

bool OpenMesh::IO::_PLYWriter_::write | ( | std::ostream & | _os,
|  | BaseExporter & | _be,
|  | Options | _opt,
|  | std::streamsize | _precision = `6`
| ) |  | const
| virtual

Write to a std::ostream

Parameters

  _os | write to std::ostream
  _be | BaseExporter, which specifies the data source
  _opt | writing options
  _precision | can be used to specify the precision of the floating point notation.

Implements OpenMesh::IO::BaseWriter.

Definition at line 114 of file PLYWriter.cc.

The documentation for this class was generated from the following files:

- libs_required/OpenMesh/src/OpenMesh/Core/IO/writer/PLYWriter.hh
- libs_required/OpenMesh/src/OpenMesh/Core/IO/writer/PLYWriter.cc